import { IsNotEmpty } from "class-validator";

export class CreateProductBrandDto {
  @IsNotEmpty()
  brandId: string;
  
  @IsNotEmpty()
  brandName: string;

  @IsNotEmpty()
  brandImage: string;

  @IsNotEmpty()
  customBrandImage: string;

  @IsNotEmpty()
  isShowBrand: boolean;

  @IsNotEmpty()
  isShowBrandInCategory: boolean;

  @IsNotEmpty()
  isShowCustomBrandImage: boolean;

  @IsNotEmpty()
  position: number;
}
    