import { Module } from "@nestjs/common";
import { SpecialsService } from "./specials.service";
import { SpecialsController } from "./specials.controller";
import { TypeOrmModule } from "@nestjs/typeorm";
import { RetailerServiceRepository } from "../custom/retailer-service/retailer-service.repository";

@Module({
  imports: [
    TypeOrmModule.forFeature([
      RetailerServiceRepository
    ])
  ],
  controllers: [SpecialsController],
  providers: [SpecialsService]
})
export class SpecialsModule {
}
